<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="stylesheet" href="/Assets/Semantic/semantic.css">
        <link rel="stylesheet" href = "/Assets/css/style.css">
        {% block stylesheets %}{% endblock %}
    </head>
    <body>

        <header>

            <nav>
                <ul>
                    <li>
                        <a href="{{ path('default') }}" class="fill-div">Accueil</a>
                    </li>
                    {% if is_granted('ROLE_USER') %}
                        <li class="nav-list-item" ><a href="{{ path('project_index') }}">Projets</a></li>
                        <li class="nav-list-item" ><a href="{{ path('team_index') }}">Team</a></li>
                        <li class="nav-list-item" ><a href="{{ path('user_index') }}">Utilisateurs</a></li>
                        <li class="nav-list-item" ><a href="{{ path('app_logout') }}">Se deconnecter</a></li>
                    {% else %}
                        <li class="nav-list-item" ><a href="{{ path('app_login') }}">Se connecter</a></li>
                        <li class="nav-list-item" ><a href="{{ path('app_register') }}">S'enregistrer</a></li>
                    {% endif %}
                </ul>
            </nav>

        </header>

        <main id="main-container">
            {% block body %}{% endblock %}
        </main>
        <footer class = "main-footer">
            <div class = "footer-contaier">

            </div>
            <div class = "mention-legales-container">
            </div>
        </footer>
        <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha256-pasqAKBDmFT4eHoN2ndd6lN370kFiGUFyTiUHWhU7k8=" crossorigin="anonymous"></script>
        <script src="/Assets/Semantic/semantic.js"></script>
        <script src="/Assets/js/custom.js"></script>
        {% block javascripts %}{% endblock %}
    </body>
</html>
